## gmetadom 0.0.3-6

=== src/gdome_caml/examples/Makefile ===
BIN_DIR = /usr/local/bin
REQUIRES = gdome2
PREDICATES =
OCAMLOPTIONS = -package "$(REQUIRES)" -predicates "$(PREDICATES)"
OCAMLC = ocamlfind ocamlc $(OCAMLOPTIONS) -g
OCAMLOPT = ocamlfind ocamlopt $(OCAMLOPTIONS)
OCAMLDEP = ocamldep

LIBRARIES = $(shell ocamlfind query -recursive -predicates "byte $(PREDICATES)" -format "%d/%a" $(REQUIRES))
LIBRARIES_OPT = $(shell ocamlfind query -recursive -predicates "native $(PREDICATES)" -format "%d/%a" $(REQUIRES))

all: $(TESTOBJS) test
opt: $(TESTOBJS:.cmo=.cmx) test.opt

DEPOBJS = test.ml

TESTOBJS = test.cmo

depend:
	$(OCAMLDEP) $(DEPOBJS) > .depend

test: $(TESTOBJS) $(LIBRARIES)
	$(OCAMLC) -linkpkg -o test $(TESTOBJS)

test.opt: $(TESTOBJS:.cmo=.cmx) $(LIBRARIES_OPT)
	$(OCAMLOPT) -linkpkg -o test.opt $(TESTOBJS:.cmo=.cmx)

.SUFFIXES: .ml .mli .cmo .cmi .cmx
.ml.cmo: $(LIBRARIES)
	$(OCAMLC) -c $<
.mli.cmi: $(LIBRARIES)
	$(OCAMLC) -c $<
.ml.cmx: $(LIBRARIES_OPT)
	$(OCAMLOPT) -c $<

clean:
	rm -f *.cm[iox] *.o test test.opt

install:
	cp test test.opt $(BIN_DIR)

uninstall:
	rm -f $(BIN_DIR)/test $(BIN_DIR)/test.opt

.PHONY: install uninstall clean

include .depend

=== debian/changelog ===
gmetadom (0.0.3-6) unstable; urgency=low

  * Fixed C++ problems that inhibit building with g++ 3.0 (in particular on
    arch HPPA)

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  9 Apr 2002 00:17:37 +0200

gmetadom (0.0.3-5) unstable; urgency=low

  * Fixed inclusion of <iostream> in some headers (Closes: #140525).

 -- Stefano Zacchiroli <zack@debian.org>  Mon,  1 Apr 2002 11:50:58 +0200

gmetadom (0.0.3-4) unstable; urgency=low

  * Link also against libstdc++ which is not added by default.

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 26 Mar 2002 18:32:17 +0100

gmetadom (0.0.3-3) unstable; urgency=low

  * Added conditional build of ocamlopt targets in (Makefile.am)s
    (Closes: Bug#139493).

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 26 Mar 2002 11:41:41 +0100

gmetadom (0.0.3-2) unstable; urgency=low

  * Changed shlibs handling.

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 13 Mar 2002 19:05:29 +0100

gmetadom (0.0.3-1) unstable; urgency=low

  * Initial Release.

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 22 Jan 2002 18:17:18 +0100

=== debian/control ===
Source: gmetadom
Section: devel
Priority: optional
Maintainer: Stefano Zacchiroli <zack@debian.org>
Build-Depends: debhelper (>> 3.0.0), ocaml (>= 3.04), libgdome2-dev, xsltproc
Standards-Version: 3.5.2

Package: libgdome2-cpp-smart0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: C++ bindings for GDome2
 C++ bindings for GDome2 that is a fast, light and complete DOM level2
 implementation based on libxml2.
 .
 This particular binding is one of the bindings from the GMetaDOM
 bindings collection.
 .
 This package includes the shared library.

Package: libgdome2-cpp-smart-dev
Section: devel
Architecture: any
Depends: libgdome2-cpp-smart0 (= ${Source-Version})
Description: C++ bindings for GDome2
 C++ bindings for GDome2 that is a fast, light and complete DOM level2
 implementation based on libxml2.
 .
 This particular binding is one of the bindings from the GMetaDOM
 bindings collection.
 .
 This package includes the development files.

Package: libgdome2-ocaml
Section: libs
Architecture: any
Depends: ocaml (>= 3.04), ocaml (<< 3.05), ${shlibs:Depends}
Description: OCaml bindings for GDome2, an implementation of DOM level 2
 OCaml bindings for GDome2 that is a fast, light and complete DOM level2
 implementation based on libxml2.
 .
 This particular binding is one of the bindings from the GMetaDOM
 binding collection.
 .
 This package contains only the shared runtime stub libraries.

Package: libgdome2-ocaml-dev
Section: devel
Architecture: any
Depends: ocaml (>= 3.04), ocaml (<< 3.05), libgdome2-0 (>= 0.7.0), libgdome2-ocaml (= ${Source-Version})
Description: OCaml bindings for GDome2, an implementation of DOM level 2
 OCaml bindings for GDome2 that is a fast, light and complete DOM level2
 implementation based on libxml2.
 .
 This particular binding is one of the bindings from the GMetaDOM
 binding collection.
 .
 This package contains the development part of the GDome2 OCaml
 bindings.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

DEBINSTALL = install -p -o root -g root -m 644
TARGETDIR = $(CURDIR)/debian/tmp
GMETADOM_MODULES = "gdome_caml gdome_cpp_smart"
# GMETADOM_MODULES = "gdome_caml"

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --with-modules=$(GMETADOM_MODULES) --prefix=/usr

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/gmetadom.
	$(MAKE) install DESTDIR=$(TARGETDIR)/

movefiles: install
	dh_movefiles

# Build architecture-independent files here.
binary-indep: build install movefiles
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install movefiles
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -A
#	zero sized files documentation files
	-find $(CURDIR)/debian -type f -size 0 -exec rm {} \;

	dh_installexamples -A
	dh_undocumented
	dh_installchangelogs -A ChangeLog
	dh_link -A
	dh_strip -A
	dh_compress -A
	dh_ocamlld -p libgdome2-ocaml /usr/lib/ocaml/gdome2
	dh_fixperms -A
	dh_makeshlibs -p libgdome2-cpp-smart0
	dh_installdeb -A
	dh_shlibdeps \
		-p libgdome2-cpp-smart0 \
		-p libgdome2-ocaml
	dh_gencontrol -A
	dh_md5sums -A
	dh_builddeb -A

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure movefiles

## gmetadom 0.2.6

=== src/gdome_caml/examples/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 BIN_DIR = /usr/local/bin
 REQUIRES = gdome2
 PREDICATES =
-OCAMLOPTIONS = -package "$(REQUIRES)" -predicates "$(PREDICATES)"
+OCAMLOPTIONS = -package "$(REQUIRES)" -predicates "$(PREDICATES)" -p
 OCAMLC = ocamlfind ocamlc $(OCAMLOPTIONS) -g
 OCAMLOPT = ocamlfind ocamlopt $(OCAMLOPTIONS)
 OCAMLDEP = ocamldep

=== debian/changelog ===
gmetadom (0.2.6-8) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.6.2
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Aug 2023 07:32:27 +0200

gmetadom (0.2.6-7) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Bump debhelper compat to 10 and switch to dh
  * Rebuild against GCC 7 (Closes: #871277)
  * Update Vcs-*

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders (Closes: #869324)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Aug 2017 12:24:27 +0200

gmetadom (0.2.6-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename binary packages for g++ 5 transition (see #791052)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 08 Aug 2015 14:02:50 +0100

gmetadom (0.2.6-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf to build on newer architectures (Closes: 753334)

 -- Wookey <wookey@debian.org>  Tue, 14 Oct 2014 14:12:30 +0000

gmetadom (0.2.6-6) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Remove Stefano from Uploaders
  * Switch source package format to 3.0 (quilt)

  [ Steve Langasek ]
  * debian/rules: clean the dependency_libs out of .la files at build
    time, per Policy 10.2 (Closes: #620614)

  [ Colin Watson ]
  * Rearrange link order to work with 'ld --as-needed'
    (LP: #771037, Closes: #627428)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 31 May 2011 10:39:12 +0200

gmetadom (0.2.6-5) unstable; urgency=low

  * debian/rules: fix include order to ensure dh-ocaml deps for
    ocaml-base-nox are actually generated (Closes: #569391)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 16 Feb 2010 10:19:04 +0100

gmetadom (0.2.6-4) unstable; urgency=low

  * Use dh-ocaml 0.9.1 features
  * Add myself to Uploaders
  * Upgrade Standards-Version to 3.8.3 (section ocaml, README.source)
  * Add debian/gbp.conf to use pristine-tar

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 19 Dec 2009 12:41:28 +0100

gmetadom (0.2.6-3) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * rebuild against ocaml 3.11, bump versioned build-deps accordingly
  * bump debhelper compatibility level to 7
  * debian/control
    - bump standard version to 3.8.0, no changes needed
    - drop obsolete strict dependencies
    - set maintainer to d-o-m, myself as an uploader
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet
  * debian/*.in: use specific substitution variables instead of relying on
    a specific stdlib dir placement
  * debian/copyright: point to version-specific common license files

  [ Stephane Glondu ]
  * Switching packaging to git

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 28 Feb 2009 22:33:57 +0100

gmetadom (0.2.6-2) unstable; urgency=low

  * debian/patches/
    - add patch gcc-4.3 to build against gcc 4.3 (closes: #441532)
  * fix vcs-svn field to point just above the debian/ dir
  * port debian/copyright to the new copyright format and update
    copyright years
  * bump standards-versions to 3.7.3 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 01 May 2008 23:01:33 +0200

gmetadom (0.2.6-1) experimental; urgency=low

  * new upstream release
    - clean some stuff in maintainerclean make target rather than in
      distclean, fix FTBFS if built twice in a row (closes: #442577)
  * add Homepage field to debian/control
  * convert Vcs-* fields to real debian/control fields

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 24 Oct 2007 11:10:52 +0200

gmetadom (0.2.5-3) unstable; urgency=low

  * debian/rules
    - clean using 'clean' target rather than 'distclean', fix FTBFS when
      building twice in a row (closes: #424331)
    - enable generation of ocamldoc documentation (via CDBS)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 04 Sep 2007 16:40:37 +0200

gmetadom (0.2.5-2) experimental; urgency=low

  * rebuild with OCaml 3.10
  * bump debhelper deps and compatibility level to 5
  * debian/control
    - s/Source-Version/binary:Version/

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 16 Jul 2007 15:38:29 +0200

gmetadom (0.2.5-1) unstable; urgency=low

  * new upstream release
    - fixes FTBFS with GCC 4.3 (closes: #417205)
  * debian/watch
    - added watch file

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 08 May 2007 14:24:17 +0200

gmetadom (0.2.4-3) unstable; urgency=low

  * debian/rules
    - use ocaml.mk cdbs class
  * debian/control
    - bumped ocaml-nox build dependencies to >= 3.09.2-7

 -- Stefano Zacchiroli <zack@debian.org>  Sat,  4 Nov 2006 09:40:53 +0100

gmetadom (0.2.4-2) unstable; urgency=low

  * debian/rules
    - removed no longer needed workaround for cdbs + dpatch
    - avoid to create debian/control from debian/control.in on ocamlinit
    - removed from the source package files which are generated at build time
      from the corresponding .in files
  * debian/control.in
    - file removed, no longer needed

 -- Stefano Zacchiroli <zack@debian.org>  Wed,  6 Sep 2006 09:59:11 +0200

gmetadom (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/
    - removed several patches integrated upstream: 03_tests_makefile,
      04_caml_encoding, 07_careful_inst, 11_g++41
  * Rebuilding against the current libxml2 got rid of a spurious -lz
    which can make depending packages FTBFS (closes: #381406)

 -- Stefano Zacchiroli <zack@debian.org>  Sat,  5 Aug 2006 21:09:50 +0200

gmetadom (0.2.3-8) unstable; urgency=low

  * Upload to unstable.

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 16 May 2006 20:10:22 +0000

gmetadom (0.2.3-7) experimental; urgency=low

  * Rebuilt against OCaml 3.09.2, bumped deps accordingly.
  * Bumped Standards-Version to 3.7.2 (no changes needed).

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 11 May 2006 22:07:28 +0000

gmetadom (0.2.3-6) unstable; urgency=low

  * Added patch 11_g++41, which fixes FTBFS with g++ 4.1
    (closes: #357600)



=== debian/control ===
Source: gmetadom
Section: devel
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-findlib,
 libgdome2-dev,
 pkg-config,
 dh-ocaml
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://gmetadom.sourceforge.net/
Vcs-Git: https://salsa.debian.org/ocaml-team/gmetadom.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/gmetadom

Package: libgdome2-cpp-smart0v5
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libgdome2-cpp-smart0, libgdome2-cpp-smart0c2, libgdome2-cpp-smart0c2a
Replaces: libgdome2-cpp-smart0, libgdome2-cpp-smart0c2, libgdome2-cpp-smart0c2a
Description: C++ bindings for GDome2 DOM implementation
 C++ bindings for GDome2 that is a fast, light and complete DOM level2
 implementation based on libxml2.
 .
 This particular binding is one of the bindings from the GMetaDOM
 bindings collection.
 .
 This package includes the shared library.

Package: libgdome2-cpp-smart-dev
Section: libdevel
Architecture: any
Depends:
 libgdome2-cpp-smart0v5 (= ${binary:Version}),
 libgdome2-dev,
 ${misc:Depends}
Description: C++ bindings for GDome2 DOM implementation
 C++ bindings for GDome2 that is a fast, light and complete DOM level2
 implementation based on libxml2.
 .
 This particular binding is one of the bindings from the GMetaDOM
 bindings collection.
 .
 This package includes the development files.

Package: libgdome2-ocaml-dev
Section: ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 libgdome2-dev,
 libgdome2-ocaml (= ${binary:Version}),
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Description: OCaml bindings for GDome2 DOM implementation
 OCaml bindings for GDome2 that is a fast, light and complete DOM level2
 implementation based on libxml2.
 .
 This particular binding is one of the bindings from the GMetaDOM
 binding collection.
 .
 This package contains the development part of the GDome2 OCaml
 bindings.

Package: libgdome2-ocaml
Section: ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Description: OCaml bindings for GDome2 DOM implementation
 OCaml bindings for GDome2 that is a fast, light and complete DOM level2
 implementation based on libxml2.
 .
 This particular binding is one of the bindings from the GMetaDOM
 binding collection.
 .
 This package contains only the shared runtime stub libraries.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with ocaml --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- --with-modules="gdome_cpp_smart gdome_caml"

execute_after_dh_auto_install:
	for file in debian/tmp/usr/lib/*/*.la; do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
	done

execute_after_dh_install:
	-find debian/ -type f -size 0 -exec rm {} \;
	-find debian/libgdome2-ocaml-dev -type d -name CVS -exec rm -rf {} \;

override_dh_makeshlibs:
# For new symbols when compiled with GCC 7 (#871277)
	dh_makeshlibs -V'libgdome2-cpp-smart0v5 (>= 0.2.6-7~)'
